// Generated from monitor_id.pl

#include "monitor.h"

/*static*/ const std::vector<MonitorManager::MonitorInfo>
MonitorManager::info {
	{ ID_MONITOR_ATC0,	VMF_M88K,	{ "atc0" } },
	{ ID_MONITOR_ATC1,	VMF_M88K,	{ "atc1" } },
	{ ID_MONITOR_ATC2,	VMF_M88K,	{ "atc2" } },
	{ ID_MONITOR_ATC3,	VMF_M88K,	{ "atc3" } },
	{ ID_MONITOR_ATC4,	VMF_M88K,	{ "atc4" } },
	{ ID_MONITOR_ATC5,	VMF_M88K,	{ "atc5" } },
	{ ID_MONITOR_ATC6,	VMF_M88K,	{ "atc6" } },
	{ ID_MONITOR_ATC7,	VMF_M88K,	{ "atc7" } },
	{ ID_MONITOR_BREAKPOINT,	VMF_ALL,	{ "breakpoint", "bp" } },
	{ ID_MONITOR_CMMU0,	VMF_M88K,	{ "cmmu0" } },
	{ ID_MONITOR_CMMU1,	VMF_M88K,	{ "cmmu1" } },
	{ ID_MONITOR_CMMU2,	VMF_M88K,	{ "cmmu2" } },
	{ ID_MONITOR_CMMU3,	VMF_M88K,	{ "cmmu3" } },
	{ ID_MONITOR_CMMU4,	VMF_M88K,	{ "cmmu4" } },
	{ ID_MONITOR_CMMU5,	VMF_M88K,	{ "cmmu5" } },
	{ ID_MONITOR_CMMU6,	VMF_M88K,	{ "cmmu6" } },
	{ ID_MONITOR_CMMU7,	VMF_M88K,	{ "cmmu7" } },
	{ ID_MONITOR_DMAC,	VMF_X68030,	{ "dmac" } },
	{ ID_MONITOR_HOSTNET,	VMF_ALL,	{ "hostnet", "netdriver" } },
	{ ID_MONITOR_INTERRUPT,	VMF_ALL,	{ "interrupt" } },
	{ ID_MONITOR_KEYBOARD,	VMF_LUNA,	{ "keyboard" } },
	{ ID_MONITOR_LANCE,	VMF_LUNA,	{ "lance" } },
	{ ID_MONITOR_LCD,	VMF_LUNA,	{ "lcd" } },
	{ ID_MONITOR_LUNAFB,	VMF_LUNA,	{ "lunafb" } },
	{ ID_MONITOR_MEMDUMP0,	VMF_ALL,	{ "memdump0" } },
	{ ID_MONITOR_MEMDUMP1,	VMF_ALL,	{ "memdump1" } },
	{ ID_MONITOR_MEMDUMP2,	VMF_ALL,	{ "memdump2" } },
	{ ID_MONITOR_MEMDUMP3,	VMF_ALL,	{ "memdump3" } },
	{ ID_MONITOR_MFP,	VMF_X68030,	{ "mfp" } },
	{ ID_MONITOR_MK48T02,	VMF_LUNA,	{ "mk48t02", "rtc" } },
	{ ID_MONITOR_MPUATC,	VMF_M68K,	{ "mpuatc" } },
	{ ID_MONITOR_MPUREG,	VMF_ALL,	{ "mpureg" } },
	{ ID_MONITOR_PIO0,	VMF_LUNA,	{ "pio0" } },
	{ ID_MONITOR_RTC,	VMF_X68030,	{ "rtc" } },
	{ ID_MONITOR_SCC,	VMF_X68030,	{ "scc" } },
	{ ID_MONITOR_SCHEDULER,	VMF_ALL,	{ "scheduler" } },
	{ ID_MONITOR_SCSIDEVS,	VMF_ALL,	{ "scsidevs" } },
	{ ID_MONITOR_SIO,	VMF_LUNA,	{ "sio" } },
	{ ID_MONITOR_SPC,	VMF_ALL,	{ "spc" } },
	{ ID_MONITOR_SYSCLK,	VMF_LUNA,	{ "sysclk" } },
	{ ID_MONITOR_WXHOSTINFO,	VMF_ALL,	{ "wxhostinfo" } },

	{ ID_SUBWIN_BRHIST,	VMF_ALL,	{ "brhist" } },
	{ ID_SUBWIN_CACHE0,	VMF_M88K,	{ "cache0" } },
	{ ID_SUBWIN_CACHE1,	VMF_M88K,	{ "cache1" } },
	{ ID_SUBWIN_CACHE2,	VMF_M88K,	{ "cache2" } },
	{ ID_SUBWIN_CACHE3,	VMF_M88K,	{ "cache3" } },
	{ ID_SUBWIN_CACHE4,	VMF_M88K,	{ "cache4" } },
	{ ID_SUBWIN_CACHE5,	VMF_M88K,	{ "cache5" } },
	{ ID_SUBWIN_CACHE6,	VMF_M88K,	{ "cache6" } },
	{ ID_SUBWIN_CACHE7,	VMF_M88K,	{ "cache7" } },
	{ ID_SUBWIN_EXHIST,	VMF_ALL,	{ "exhist" } },
	{ ID_SUBWIN_LCDPANEL,	VMF_LUNA,	{ "lcdpanel" } },
	{ ID_SUBWIN_LOG,	VMF_ALL,	{ "log" } },
	{ ID_SUBWIN_LUNAFB0,	VMF_LUNA,	{ "bitmap0" } },
	{ ID_SUBWIN_SOFTKEY,	VMF_ALL,	{ "softkey" } },
};
