//
// nono
// Copyright (C) 2020 nono project
// Licensed under nono-license.txt
//

#pragma once

#include "object.h"
#include "monitor.h"

extern void debugger_create();
extern void debugger_init();
extern bool debugger_check();

// メモリダンプモニタ
extern Monitor& debugger_memdump_monitor(int);

// 例外通知用 (MPU から)
extern void debugger_notify_exception(int vector);
