<?php
/*
 * nono
 * Copyright (C) 2020 nono project
 * Licensed under nono-license.txt
 */
?>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>nono document</title>
<style type="text/css">
/* https://jfly.uni-koeln.de/colorset/ */

:root {
	--blue:			rgb(  0,  90, 255);
	--brown:		rgb(128,  64,   0);
	--green:		rgb(  3, 175, 122);
	--grey:			rgb(132, 145, 158);
	--light-pink:	rgb(255, 202, 191);
	--light-grey:	rgb(200, 200, 203);

	--bg-grey:		rgb(220, 220, 223);
}
body {
	background-color: var(--bg-grey);
}
q {
	color: var(--brown);
}
q:before {
	content: "[";
}
q:after {
	content: "]";
}
dt.dt-indent {
	padding-left: 1ex;
}
.main {
	margin-left: 1em;
}
.cons {
	background-color: black;
	color: white;
}
.file {
	background-color: white;
	color: black;
}
.strike {
	color: var(--grey);
}
.strike > q {
	color: var(--grey);
}
</style>
</head>
