//
// nono
// Copyright (C) 2020 nono project
// Licensed under nono-license.txt
//

#pragma once

#include "netdriver.h"

class NetDriverNone : public NetDriver
{
	using inherited = NetDriver;
 public:
	NetDriverNone(int loglevel_);
	~NetDriverNone() override;

	bool InitDriver() override;
	bool SendPacket(const std::vector<uint8>& data) override;

 protected:
	ssize_t RecvPacket() override;
	void MonitorUpdateMD(TextScreen&) override;
};
