//
// nono
// Copyright (C) 2020 nono project
// Licensed under nono-license.txt
//

#pragma once

#include "wxsubwindow.h"
#include "monitor.h"

//
// モニターウィンドウ
//
class WXMonitorWindow : public WXSubWindow
{
	using inherited = WXSubWindow;
 public:
	WXMonitorWindow(wxWindow *parent, const wxString& name,
		Monitor& monitor_);
	virtual ~WXMonitorWindow() override;

 protected:
	// テキストスクリーン
	WXTextScreen *screen {};
};
